import 'package:flutter/material.dart';
import 'package:iroute/iroute.dart';
import 'book_appshell.dart';

class BookApp extends StatefulWidget {
  BookApp({
    required this.routes,
    required this.pageList,
  });
  final Map<String, RouteBuilder> routes;
  final PageList pageList;
  @override
  State<StatefulWidget> createState() =>
      _BookAppState(routes: routes, pageList: pageList);
}

class _BookAppState extends State<BookApp> {
  _BookAppState({
    required this.routes,
    required this.pageList,
  });
  final Map<String, RouteBuilder> routes;
  final PageList pageList;

  final IRouteInformationParser mainRouteInformationParser =
      IRouteInformationParser();
  @override
  Widget build(BuildContext context) {
    return MaterialApp.router(
      title: 'Books App',
      routerDelegate: IRoute(
          routes: routes,
          pageList: pageList,
          child: (context) => BookAppShell(pageList: pageList, routes: routes)),
      routeInformationParser: mainRouteInformationParser,
      debugShowCheckedModeBanner: false,
    );
  }
}
